@charset "utf-8";
/* CSS Document */

.controls {
  margin-bottom: 16px;
  text-align: center;
}

.toggle-all {
  display: inline-block;
  float: right;
  border: none;
  cursor: pointer;
  font-size: 12px !important;
  padding: 8px;
  font-weight: normal;
  margin-right: 15px;
  background-color: none !important;
}

.document {
  margin-bottom: 30px;
}
.document .accordion-list {
  width: 900px;
  margin: 0 auto;
  padding: 0;
  list-style: none;
  display: grid;
}

.document .accordion {
  width: 900px;
  background-color: #fff;
  margin: 0 auto !important;
  /*overflow: hidden;*/
}
.document .accordion:before,
.document .accordion:after {
    content: ".";    
    display: block;    
    height: 0;    
    overflow: hidden; 
  }
.document .accordion:after { clear: both; }
.document .accordion { zoom: 1; } /* IE < 8 */

.ic4-title {
  padding: 20px 30px 0;
  font-size: 20px;
  line-height: 175%;
  font-weight: bold;
  display: inline-block;
}

.document .accordion-header-1, .document .accordion-header-2, .document .accordion-header-3 {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding: 0px 0px;
  background: transparent;
  border: 0;
  cursor: pointer;
}

.document .accordion-header-1:focus, .document .accordion-header-2:focus, .document .accordion-header-3:focus {
  /*outline: 3px solid rgba(43,108,176,0.18);
  outline-offset: 2px;*/
}

.chev, .chev-2 {
  transition: transform 0.25s ease;
  display: inline-block;
  margin-left: 0px;
  font-size: 16px;
}

.accordion-header-1[aria-expanded="true"] .turn {
  transform: rotate(180deg);
}
.accordion-header-2[aria-expanded="true"] .turn {
  transform: rotate(180deg);
}
.accordion-header-3[aria-expanded="true"] .turn {
  transform: rotate(180deg);
}

.accordion-panel-1, .accordion-panel-2, .accordion-panel-3 {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.28s ease, padding 0.28s ease;
  width: 900px;
  margin: 0 auto;
  /*border-left: 1px solid #ccc;
  border-right: 1px solid #ccc;*/
  box-sizing: border-box;
  background-color: #fff;
}

.accordion-panel-1.open, .accordion-panel-2.open, .accordion-panel-3.open {
  width: 900px;
  /*border-left: 1px solid #ccc;
  border-right: 1px solid #ccc;*/
  box-sizing: border-box;
  background-color: #fff;
}

.accordion-panel-1 p, .accordion-panel-2 p, .accordion-panel-3 p {
  margin: 0;
  line-height: 165%;
}
/* ヘッダー内テーブルの調整 */
.header-table {
  border-collapse: collapse;
  margin: 0 auto;
  font-size: 12px;
  width: 900px;
  z-index: 99990;
}

.header-table th,
.header-table td {
  padding: 5px 5px !important;
}

.header-table th {
  background-color:#eee;
  font-weight: bold;
  text-align: center;
  border: 1px solid #ccc;
}

.header-table td {
  font-weight: normal;
  text-align: left;
}

tbody .none:hover {
  cursor: default !important;
}

.accordion-header {
  justify-content: space-between;
  align-items: center;
}

.accordion-header .chev, .accordion-header .chev-2 {
  margin-left: 5px;
  flex-shrink: 0;
}

.accordion-list .header-table {
  width: 900px !important;
  margin-bottom: -1px;
}

.accordion-list .tr-last  {
  margin-bottom: 0px;
}




/*それぞれの幅の修正*/

/*.label_page {
  width: 70px !important;
}*/

th.sw-driver, th.sw-ver, th.sw-os
th.sw-x86,th.sw-arm, th.sw-amd64, th.sw-arm64, th.sw-more,
.sw-driver, .sw-ver, .sw-os
.sw-x86, .sw-arm, .sw-amd64, .sw-arm64, .sw-more {
  font-size: 11px !important;
}
th.sw-driver, th.sw-ver, th.sw-os
th.sw-x86,th.sw-arm, th.sw-amd64, th.sw-arm64, th.sw-more {
  vertical-align: middle !important;
  height: 30px !important;
}
.sw-driver, .sw-ver, .sw-os, .sw-driver-name,
.sw-x86, .sw-arm, .sw-amd64, .sw-arm64, .sw-more .sw-switch {
  font-size: 12px !important;
  line-height: 165% !important;
  box-sizing: border-box;
  background: #fff;
  border: 1px solid #ccc;
  height: 50px;
  /* ユーザーがテキストを選択できるようにする */
  -webkit-user-select: text; /* Safari対応 */
  -moz-user-select: text;    /* Firefox対応 */
  -ms-user-select: text;     /* IE10, 11対応 */
  user-select: text;         /* 標準プロパティ */
}

.header-table th {
  height: 25px;
  padding: 3px !important;
  cursor: default !important;
}

.header-table th, .header-table td {
  box-sizing: border-box !important;
}

.header-table th.sw-driver {
  font-size: 14px !important;
}

.sw-driver {
  width: 430px !important;
  word-break: break-all;
  text-align: center;
}

td.sw-plus{
  width: 50px !important;
  text-align: center;
  border-left: none !important;
  font-size: 20px;
    color: #003B27;
    font-weight: bold;
    margin: 0 !important;
}
.sw-driver-name {
  width: 380px !important;
  word-break: break-all;
  text-align: center;
}
.sw-ver {
  width: 100px !important;
  word-break: break-all;
  text-align: centercenter;
}
.sw-x86, .sw-arm, .sw-amd64, .sw-arm64 {
  width: 90px !important;
  word-break: break-all;
}
.sw-switch {
  width: 70px !important;
  text-align: center !important;
  padding: 0 !important;
}
.accordion .header-table tr:hover {
  color: #c00 !important;
}
.sw-switch:hover, .sw-more:hover, .chev {
  color: #000 !important;
}

td.sw-driver {
  text-align: left;
}

td.sw-ver, td.sw-x86, td.sw-arm, td.sw-amd64, td.sw-arm64 {
  text-align: center !important;
}
td.sw-x86 a, td.sw-arm a, td.sw-amd64 a, td.sw-arm64 a {
  /*color: #003b27;*/
}
td.sw-more {
  border-right: 1px solid #ccc;
}

.sample-more {
  background-color: #fff;
}

table.header-table tr:hover {
  /*background-color: #e1edf9 !important;*/
	cursor: pointer;
}

.header-table tr.clickable:hover td {
	cursor: pointer !important;
/* background-color: #e1edf9 !important;*/
}

.all-sample:hover {
	color:#C30;
}

.document .accordion div.op_tbl_spec:hover {
	cursor: pointer;
}

/* 詳細の中に「すべて開く」 */
button.all-sample {
  background-color:#f6f6f6 !important;
}

button.all-sample:hover {
  background-color:none !important;
}

.sw-info {
  width: 820px;
  margin: 0 10px 30px 70px;
  font-size: 12px;
}
.sw-info h6 {
  font-size: 14px !important;
  font-weight: bold;
  padding: 7px 10px 0px 0 !important;
  margin: 25px 0 10px 0px !important;
  letter-spacing: 0.02em;
  line-height: 165% !important;
  color: #003b27;
}

.sw-info p {
  line-height: 165% !important;
  margin-bottom: 5px;
}

.sw-info p.link {
  line-height: 150% !important;
}
.sw-info ul {
  margin: 10px 0 10px;
  padding-left: 20px;
}

.sw-info ul li {
  line-height: 165%;
  list-style-type: disc;
  margin-left: 0px;
}

.sw-info-more {
  width: 100%;
  display: inline-block;
}

.sw-info-requirements, .sw-info-change-log {
  width: 390px;
  float: left;
}
.sw-info-requirements {
  margin-right: 20px;
}

.subInner_close {
  margin: 0px auto !important;
  padding: 10px;
  text-align: right;
}

div.subInner_close:hover {
	cursor: pointer;
}
/****** リンクの吹き出し表示 ******/
.link_dl {
  position   : relative;                /* 指定した分だけ相対的に移動 */
}
.link_dl:hover .link_dl_cld_s,
.link_dl:hover .link_dl_cld_l,
.link_dl:hover .link_dl_cld {
  display: inline;                /* インライン要素として表示 */
  color: #fff !important;
  font-weight: normal;
  /*box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.3);*/
  text-align: center !important;
  letter-spacing: 0.5px;
  /*padding: 10px;*/
}
.link_dl:hover .link_dl_cld_s a:link,
.link_dl:hover .link_dl_cld_l a:link,
.link_dl:hover .link_dl_cld a:link {
  font-weight: normal;
}
.link_dl .link_dl_cld_s,
.link_dl .link_dl_cld_l,
.link_dl .link_dl_cld {
  position  : absolute;                /* 親要素を基準 */
  display: none;                        /* 要素を非表示 */
  padding: 2px 5px 1px;                         /* テキストの前後の余白 */
  background-color: rgba(0,59,39,0.90);       /* 背景色（透明度） */
  left : -20px;                           /* 表示位置 */
  margin-top : 12px;                    /* 表示位置 */
  font-size: 10px !important; 
  border-radius: 15px;
  z-index: 99999 !important;
}
.link_dl .link_dl_cld {
  width: 75px !important ;                    /* 吹き出し全体の幅 */
  top : -45px;                           /* 表示位置 */
}
.link_dl .link_dl_cld_s {
  width: 50px !important ;                    /* 吹き出し全体の幅 */
  top : -45px;                           /* 表示位置 */
}
.link_dl .link_dl_cld_l {
  width: 100px !important ;                    /* 吹き出し全体の幅 */
  top : -45px;                           /* 表示位置 */
}
/** 吹き出しの▼ **/
.link_dl_cld:before,
.link_dl_cld_s:before,
.link_dl_cld_l:before {
  /*border: solid transparent;*/
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  display: block;
  bottom: -8px;
  border-right: 5px solid transparent;
  border-top: 10px solid rgba(0,59,39,0.90); 
  border-left: 5px solid transparent;
}
.link_dl_cld:before {
  left: 30%;
}
.link_dl_cld_s:before {
  left: 40%;
}
.link_dl_cld_l:before {
  left: 25%;
}
/* beforeで本体の三角を表現 */
/*.link_dl_cld::after{
  content: " ";
  width: 0;
  height: 0;
  position: absolute;
  display: block;
  left: 30%;
  bottom: -8px;
  border-right: 5px solid transparent;
  border-top: 10px solid rgba(0, 0, 0, 0.3);
  border-left: 5px solid transparent;
}*/

.ic4-develop {
	width: 99%;
  height: 60px;
	margin: 30px auto 10px;
  box-sizing: border-box;
  clear: both;
	background-color: #e7f2ee;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.ic4-develop .step_sw_nm a:hover {
  color: #c30 !important;
}

.ic4-develop .step_sw_nm-ic4 {
  width: 480px;
  padding: 0px 10px 0;
  line-height: 150%;  
  font-size: 14px;
  font-weight: bold;
}
.ic4-develop .step_sw_vr {
  width: 78px;
	font-size:12px;
  text-align: left;
}
.ic4-develop .step_sw_up {
  width: 62px;
	font-size:12px;
}
.ic4-develop .step_sw_dl-ic4 {
  margin-top: 8px;
  margin-right: 10px;
  font-size: 12px !important;
}


@media (max-width:480px) {
.accordion-header, .accordion-header-2 {
    padding: 12px;
    font-size: 15px;
}
.accordion-panel, .accordion-panel-2 {
    padding: 0 12px;
  }
  

.document-info ul {
  margin: 10px 0 10px;
  padding-left: 15px;
}
.ic4-title {
  padding: 0px 30px 20px;
  font-size: 18px;
  line-height: 175%;
}
  
.dl_area .smp_only {
  margin-left: 30px;
  
}
